<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorBackground"
    tools:context="app.furmeet.events.system.developer.DeveloperActivity">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/broughtByContainer"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/colorPrimary"
                android:orientation="vertical"
                android:padding="4dp">

                <TextView
                    android:id="@+id/broughtBy"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/this_app_was_lazily_brought_to_you_by"
                    android:textColor="@color/colorWhiteDoNotInvert"
                    android:textSize="20sp" />
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="4dp"
                android:background="@drawable/ic_rounded_corner_edgier"
                android:backgroundTint="@color/colorBase21"
                android:elevation="@dimen/card_smoothiness"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/dev1HeadShotImg"
                        android:layout_width="96dp"
                        android:layout_height="40dp"
                        android:layout_margin="8dp"
                        android:layout_weight="1"
                        android:scaleType="centerCrop"
                        android:src="@drawable/ic_warning_black" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:text="@string/app_developer_name"
                            android:textColor="@color/colorBase03"
                            android:textSize="24sp" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:text="@string/mobile_and_web_developer"
                            android:textColor="@color/colorBase19" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TableLayout xmlns:android="http://schemas.android.com/apk/res/android"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:stretchColumns="2">

                        <TableRow>

                            <TextView
                                android:layout_column="1"
                                android:padding="3dip"
                                android:text="Telegram"
                                android:textColor="@color/colorBase05" />

                            <TextView
                                android:layout_column="3"
                                android:gravity="end"
                                android:padding="3dip"
                                android:text="\@Sfner"
                                android:textColor="@color/colorBase05" />
                        </TableRow>

                        <TableRow>

                            <TextView
                                android:layout_column="1"
                                android:padding="3dip"
                                android:text="Twitter"
                                android:textColor="@color/colorBase05" />

                            <TextView
                                android:layout_column="3"
                                android:gravity="end"
                                android:padding="3dip"
                                android:text="\@SfnerDragon"
                                android:textColor="@color/colorBase05" />
                        </TableRow>

                        <TableRow>

                            <TextView
                                android:layout_column="1"
                                android:padding="3dip"
                                android:text="Email"
                                android:textColor="@color/colorBase05" />

                            <TextView
                                android:layout_column="3"
                                android:gravity="end"
                                android:padding="3dip"
                                android:text="contact@furmeet.app"
                                android:textColor="@color/colorBase05" />
                        </TableRow>
                    </TableLayout>
                </LinearLayout>
            </LinearLayout>

            <Button
                android:id="@+id/actionSoftwareLicenses"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:backgroundTint="@color/colorBase21"
                android:foreground="?android:attr/selectableItemBackground"
                android:text="@string/software_licenses"
                android:textColor="@color/colorBase19" />

        </LinearLayout>
    </ScrollView>
</androidx.constraintlayout.widget.ConstraintLayout>